Skip to main content
POST
/
billing
/
plans
Create billing plan
curl --request POST \
  --url https://api.getenso.ai/billing/plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Enterprise Annual 2026",
  "description": "<string>"
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json
name
string
required
Example:

"Enterprise Annual 2026"

description
string

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)